# $Revision: 1.86 $, $Date: 2011/10/04 13:29:30 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires valid $DISPLAY)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	Tk
Summary:	Tk - a graphical user interface toolkit for Perl
Summary(pl.UTF-8):	Tk - toolkit graficznego interfejsu użytkownika dla Perla
Name:		perl-Tk
Version:	804.029
Release:	3
# same as perl (except pTk dir - BSD-like)
License:	GPL v1+ or Artistic, parts BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SR/SREZIC/%{pnam}-%{version}.tar.gz
# Source0-md5:	f4aebe6fcdb309a8480514f2ccf8117c
Patch0:		%{name}-misc.patch
Patch1:		%{name}-man_section.patch
URL:		http://search.cpan.org/dist/Tk/
BuildRequires:	perl-Tie-Watch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXft-devel
Obsoletes:	perl-Tk-JPEG
Obsoletes:	perl-Tk-PNG
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq  'perl(WidgetDemo)'

%description
Perl Tk extension aims to provide a complete interface to the latest
production version of John Ousterhout's Tk GUI toolkit, while
providing an Object Oriented interface to Perl code.

%description -l pl.UTF-8
Rozszerzenie Perla Tk ma na celu udostępnienie pełnego interfejsu do
najnowszej produkcyjnej wersji toolkitu graficznego Tk Johna
Ousterhouta, jednocześnie zapewniając zorientowany obiektowo interfejs
dla kodu w Perlu.

%package devel
Summary:	Perl Tk - development files
Summary(pl.UTF-8):	Perl Tk - pliki programistyczne
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description devel
This package gives you the ability to develop Perl applications for
the Tk GUI.

%description devel -l pl.UTF-8
Ten pakiet umożliwia tworzenie aplikacji Perlowych przy użyciu
graficznego interfejsu użytkownika Tk.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
# sync with current Xlib
ln -sf /usr/include/X11/Xlib.h pTk/Xlib.h

%{__perl} Makefile.PL \
	XFT=1 \
	INSTALLDIRS=vendor \
	X11LIB=/usr/%{_lib}
%{__sed} -i -e 's/<default.h>/"default.h"/g' pTk/tixDef.h
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorlib}/Tk,%{_examplesdir}/%{name}-%{version}}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

# put demos to examples dir. do they work? don't know. didn't test
mv $RPM_BUILD_ROOT{%{perl_vendorarch}/Tk/demos,%{_examplesdir}/%{name}-%{version}}

# perl-Tie-Watch packaged in system
%{__rm} $RPM_BUILD_ROOT{%{_mandir}/man3/Tie::Watch.3pm,%{perl_vendorarch}/Tie/Watch.pm}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Tk{,/*}.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Tk/.packlist

# in %doc
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Tk/{Credits,README.*,license.terms}

find $RPM_BUILD_ROOT -type f | xargs sed -i -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README README.linux ToDo Funcs.doc
%doc Tk/Credits Tk/license.terms Tk/README.Adjust
%attr(755,root,root) %{_bindir}/gedi
%attr(755,root,root) %{_bindir}/tkjpeg
%dir %{perl_vendorlib}/Tk
%{perl_vendorarch}/Tk.pm
%dir %{perl_vendorarch}/Tk
%{perl_vendorarch}/Tk/DragDrop
%{perl_vendorarch}/Tk/Event
%{perl_vendorarch}/Tk/Menu
%{perl_vendorarch}/Tk/Text
%{perl_vendorarch}/Tk/[A-L]*.pm
%{perl_vendorarch}/Tk/[N-Z]*.pm
%{perl_vendorarch}/Tk/M[a-z]*.pm
%{perl_vendorarch}/Tk/widgets.pm
%dir %{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/auto/Tk/Tk.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Tk/Tk.so
%{perl_vendorarch}/auto/Tk/autosplit.ix
%{perl_vendorarch}/auto/Tk/*.al
%dir %{perl_vendorarch}/auto/Tk/[BHLMNPWXp]*
%dir %{perl_vendorarch}/auto/Tk/Canvas
%dir %{perl_vendorarch}/auto/Tk/C[lo]*
%dir %{perl_vendorarch}/auto/Tk/Entry
%dir %{perl_vendorarch}/auto/Tk/Event
%dir %{perl_vendorarch}/auto/Tk/Frame
%dir %{perl_vendorarch}/auto/Tk/IO
%dir %{perl_vendorarch}/auto/Tk/InputO
%dir %{perl_vendorarch}/auto/Tk/Sc*
%dir %{perl_vendorarch}/auto/Tk/T[Laeio]*
%dir %{perl_vendorarch}/auto/Tk/JPEG
%{perl_vendorarch}/auto/Tk/*/autosplit.ix
%{perl_vendorarch}/auto/Tk/*/*.al
%{perl_vendorarch}/auto/Tk/*/*.bs
%{perl_vendorarch}/auto/Tk/*/*.ld
%attr(755,root,root) %{perl_vendorarch}/auto/Tk/*/*.so
%{_mandir}/man1/tkjpeg.1p*
%{_mandir}/man3/Tk*.3pm*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ptked
%attr(755,root,root) %{_bindir}/ptksh
%attr(755,root,root) %{_bindir}/widget
%{perl_vendorarch}/Tk/MMtry.pm
%{perl_vendorarch}/Tk/MMutil.pm
%{perl_vendorarch}/Tk/prolog.ps
%{perl_vendorarch}/Tk/typemap
%{perl_vendorarch}/Tk/tkGlue*
%{perl_vendorarch}/Tk/vtab.def
%{perl_vendorarch}/Tk/TkXSUB.def
%{perl_vendorarch}/Tk/install.pm
%{perl_vendorarch}/Tk/pTk
# most of the bitmaps are used by demos
%{perl_vendorarch}/Tk/*.x[bp]m
%{perl_vendorarch}/Tk/*.gif
%{_mandir}/man1/ptked.1p*
%{_mandir}/man1/ptksh.1p*
%{_mandir}/man1/widget.1p*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tk.spec,v $
Revision 1.86  2011/10/04 13:29:30  lisu
- rel 3

Revision 1.85  2011/03/07 20:26:43  qboosh
- fixed build with current Xlib (aka libX11)
- rm cleanup

Revision 1.84  2010/11/12 23:38:00  pawelz
- release 2

Revision 1.83  2010/06/06 13:59:00  arekm
- up to 804.029

Revision 1.82  2010/06/06 13:37:32  arekm
- release 9

Revision 1.81  2010/06/06 13:35:51  arekm
- release 8

Revision 1.80  2010/06/06 08:43:48  arekm
- release 7

Revision 1.79  2010/01/28 18:21:27  arekm
- release 6

Revision 1.78  2009/07/12 13:26:49  arekm
- release 5

Revision 1.77  2009/03/13 23:38:55  hawk
- release 4

Revision 1.76  2008/03/26 14:02:03  baggins
- rel 3
- fix /usr/loca/bin/perl R

Revision 1.75  2008-03-02 18:10:07  radek
- release 2

Revision 1.74  2008-02-26 19:54:44  qboosh
- added missing tkjpeg(1p) manual

Revision 1.73  2008-02-09 20:08:34  qboosh
- generic URL
- simple descs from Tk manpage
- moved man1 pages to proper package

Revision 1.72  2008-02-09 19:06:07  wolvverine
- up to 804.028

Revision 1.71  2008-02-09 17:09:57  wolvverine
- rel.4

Revision 1.70  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.69  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.68  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.67  2006/08/23 05:17:38  glen
- rel 3: add %{perl_vendorarch}/auto/Tk/JPEG dir

Revision 1.66  2006/03/15 14:38:42  pluto
- xorg modular deps.

Revision 1.65  2006/03/15 11:27:16  cieciwa
- release 2,
- removed notneeded BR: XFree86-devel.

Revision 1.64  2006/03/15 11:16:30  cieciwa
- starting preparation for Th.

Revision 1.63  2005/12/25 21:12:25  glen
- rel 1

Revision 1.62  2005/12/25 19:42:05  glen
- desc correction (you don't need gui to develop)

Revision 1.61  2005/12/25 19:20:41  qboosh
- pl for -devel

Revision 1.60  2005/12/25 19:13:33  glen
- _noautoreq perl(WidgetDemo) is back

Revision 1.59  2005/12/25 17:21:28  glen
- created -devel
- enabled XFT

Revision 1.58  2005/12/25 00:38:11  glen
- todo: remove devel deps

Revision 1.57  2005/03/15 01:54:16  japhy
- Corrected Source0-md5.

Revision 1.56  2005/03/12 12:28:42  japhy
- Updated for Tk-804.027
- O: perl-Tk-PNG, perl-Tk-JPEG (included now)

Revision 1.55  2004/11/03 22:30:52  paladine
- formatting

Revision 1.54  2004/10/24 17:05:52  paladine
- spelling fixes, uppercases, etc.

Revision 1.53  2004/05/07 20:26:02  ankry
- fixed bcond

Revision 1.52  2004/05/07 00:35:14  ankry
- rel. 3

Revision 1.51  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.50  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.49  2004/04/15 21:24:55  ankry
- cosmetics

Revision 1.48  2004/04/13 10:01:44  adamg
- release 2

Revision 1.47  2004/04/13 09:56:20  adamg
- pass X11LIB

Revision 1.46  2003/11/01 18:47:55  qboosh
- up to 800.025, updated paths and man_section patches
- added informative summaries

Revision 1.45  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.44  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.43  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/03/03 20:29:05  radek
- noautoreq: perl(WidgetDemo)  (TODO: consider separating -widgets subpackage)

Revision 1.40  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.39  2003/02/24 20:37:29  radek
- always...

Revision 1.38  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.37  2003/02/18 15:39:04  ankry
- massive attack: change CPAN URLs

Revision 1.36  2002/07/26 21:12:46  qboosh
- updated to 800.024, removed outdated nolibpt patch

Revision 1.35  2002/07/20 15:06:45  qboosh
- autosplit.ix files are back (needed)

Revision 1.34  2002/07/20 00:37:17  qboosh
- fixed permissions, release 8

Revision 1.33  2002/07/19 00:13:47  ankry
- translations, cleaning
- changed internal man section to 3 (-man_section.patch)
- new %doc
- added %{perl_sitelib}/Tk
- removed *.ix files
- release 7

Revision 1.32  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.31  2002/03/03 21:37:29  marcus
- rel.6.

Revision 1.30  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/02/10 15:37:15  depesz
- adapterized

Revision 1.28  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.27  2002/01/18 02:14:33  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/10/30 04:14:12  kloczek
- release 5.

Revision 1.25  2001/10/13 22:16:35  qboosh
- BuildRequires: perl-Tie-Watch to get dependency
  (or should Tie::Watch be included in this package? it's in sources...)

Revision 1.24  2001/09/05 22:26:08  kloczek
- release 3: correctly remove Tie::Watch(3pm) man page in %install.

Revision 1.23  2001/09/05 15:41:31  kloczek
- release 2,
- removed Tie::Watch(3) man page (the same as in perl-Tie-Watch).

Revision 1.22  2001/09/02 17:42:33  kloczek
- updated to 800.023.

Revision 1.21  2001/05/02 21:51:26  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.20  2001/04/17 12:17:54  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.19  2001/04/14 23:47:05  baggins
- release 5
- fixed %attr

Revision 1.18  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/03/18 15:54:21  jajcus
- Release: 4
- do not link with libpt. It is part of pwlib which has nothing to do with perl and Tk.

Revision 1.16  2001/01/26 02:18:35  kloczek
- rebuild against perl 5.6.

Revision 1.15  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2001/01/04 08:52:36  mguevara
- release 3
- changed include of <default.h> to "default.h" in pTk/tixDef.h
  (this file is created during perl Makefile.PL) this should
  solve make problems with undefined WHITE BLACK and ...
- build tested with perl 5.6

Revision 1.12  2000/11/25 02:38:19  kloczek
- release 2: added using new rpm automation.

Revision 1.11  2000/11/15 19:03:32  wiget
- remove broken file

Revision 1.10  2000/11/15 16:57:24  wiget
- don't remove patches

Revision 1.9  2000/11/15 14:50:02  cieciwa
- fixed (?) source location.

Revision 1.8  2000/11/15 14:44:11  cieciwa
- updated to version 800.022.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  1999/11/09 14:43:36  pius
- added BuildRequires: XFree86-devel
- small fixes

Revision 1.2  1999/11/09 00:18:27  pius
- small fix in %files

Revision 1.1  1999/11/08 18:40:18  pius
- initial release
